org.encog.neural.networks.training.anneal

## Class NeuralSimulatedAnnealingHelper

- java.lang.Object
- - org.encog.ml.anneal.SimulatedAnnealing<Double>
  - - org.encog.neural.networks.training.anneal.NeuralSimulatedAnnealingHelper

-     public class NeuralSimulatedAnnealingHelper
      extends SimulatedAnnealing<Double>

  Simple class used by the neural simulated annealing. This class is a subclass of the basic SimulatedAnnealing class. The It is used by the actual NeuralSimulatedAnnealing class, which subclasses BasicTraining. This class is mostly necessary due to the fact that NeuralSimulatedAnnealing can't subclass BOTH SimulatedAnnealing and Train, because multiple inheritance is not supported.
  Author:
    jheaton

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NeuralSimulatedAnnealingHelper(NeuralSimulatedAnnealing owner)` Constructs this object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `calculateScore()` Used to pass the determineError call on to the parent object.
    `Double[]` | `getArray()` Used to pass the getArray call on to the parent object.
    `Double[]` | `getArrayCopy()` Used to pass the getArrayCopy call on to the parent object.
    `void` | `putArray(Double[] array)` Used to pass the putArray call on to the parent object.
    `void` | `randomize()` Call the owner's randomize method.

    - ### Methods inherited from class org.encog.ml.anneal.SimulatedAnnealing

      `getCycles, getScore, getStartTemperature, getStopTemperature, getTemperature, isShouldMinimize, iteration, setCycles, setScore, setShouldMinimize, setStartTemperature, setStopTemperature, setTemperature`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NeuralSimulatedAnnealingHelper

          public NeuralSimulatedAnnealingHelper(NeuralSimulatedAnnealing owner)

      Constructs this object.
      Parameters:
        `owner` - The owner of this class, that recieves all messages.

  - ### Method Detail

    - #### calculateScore

          public double calculateScore()

      Used to pass the determineError call on to the parent object.
      Specified by:
        `calculateScore` in class `SimulatedAnnealing<Double>`
      Returns:
        The error returned by the owner.

    - #### getArray

          public Double[] getArray()

      Used to pass the getArray call on to the parent object.
      Specified by:
        `getArray` in class `SimulatedAnnealing<Double>`
      Returns:
        The array returned by the owner.

    - #### getArrayCopy

          public Double[] getArrayCopy()

      Used to pass the getArrayCopy call on to the parent object.
      Specified by:
        `getArrayCopy` in class `SimulatedAnnealing<Double>`
      Returns:
        The array copy created by the owner.

    - #### putArray

          public void putArray(Double[] array)

      Used to pass the putArray call on to the parent object.
      Specified by:
        `putArray` in class `SimulatedAnnealing<Double>`
      Parameters:
        `array` - The array.

    - #### randomize

          public void randomize()

      Call the owner's randomize method.
      Specified by:
        `randomize` in class `SimulatedAnnealing<Double>`

Copyright © 2014. All Rights Reserved.